Bug 1291638 - tier : Demotion failure for char type file
tier : Demotion failure for char type file
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier (Show other bugs)
3.1
All All
medium Severity medium
: ---
: ---
Assigned To: Dan Lambright
nchilaka
tier-migration
: Triaged, ZStream
Depends On: 1291635 1291637
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 06:19 EST by Jiffin
Modified: 2017-10-05 13:16 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1291637
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiffin 2015-12-15 06:19:37 EST
+++ This bug was initially created as a clone of Bug #1291637 +++

+++ This bug was initially created as a clone of Bug #1291635 +++

Description of problem:
Demotion failure for char type file. It should fail all special(CHAR, BLOCK, SOCKET etc) type files other than regular, but for me issue is seen in char type file. From the logs, it is clear that lookup(dht_revalidate_cbk) on this file failed in cold tier due to type mismatch 

Version-Release number of selected component (if applicable):
mainline

How reproducible:
always

Steps to Reproduce:
1.Create and start a tier volume
2.set tier mod= test(preferable to use other demotion paremeters)
3.mount the volume(any protocol) 
4.create a char type file using mknod
5.after some time(promotion will happen)
6.When tier daemon tries to demote, it will fail. Failure messages are flooded in tier log

Actual results:
Demotion failed

Expected results:
Demotion should not fail

Additional info:
snippet from tier daemon log :

[2015-12-11 13:00:10.407115] E [MSGID: 109037] [tier.c:1489:tier_start] 0-test-tier-dht: Demotion failed
13:00:10.355941] and [2015-12-11 13:00:20.417126]
[2015-12-11 13:00:20.421914] W [MSGID: 109008] [dht-common.c:826:dht_revalidate_cbk] 0-test-cold-dht: mismatching filetypes 01 v/s 05 for //char, gfid = b7f40bcd-3153-4619-bd19-28797d1b5ce5
[2015-12-11 13:00:20.421987] W [MSGID: 109023] [dht-rebalance.c:969:migrate_special_files] 0-test-tier-dht: //char: lookup failed (Invalid argument)
[2015-12-11 13:00:20.422605] E [MSGID: 109037] [tier.c:489:tier_migrate_using_query_file] 0-test-tier-dht: Failed to migrate char


char is file name

Note You need to log in before you can comment on or make changes to this bug.